> This page is for Postman API Docs.

> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt.

# Update a pull request

PUT https://api.postman.com/pull-requests/{pullRequestId}
Content-Type: application/json

Updates an open pull request.

Reference: https://learning.postman.com/api-docs/api-reference/pull-requests/update-pull-request

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Servers

- `https://api.postman.com` (https://api.postman.com, default)
- `https://api.eu.postman.com` (https://api.eu.postman.com)

## Request

### Path parameters

- `pullRequestId` (string, required) — The pull request's ID.

### Body (application/json)

This endpoint expects a pullRequestUpdate.

- `title` (string, required) — The pull request's updated title.
- `reviewers` (list of string, required) — An updated list of the pull request's assigned reviewers. This replaces all existing users assigned to the pull request with those you pass in the request body.
- `description` (string, optional) — The updated pull request description.

## Response

### 200

Successful Response

- `createdAt` (datetime, optional) — The date and time at which the pull request was created.
- `createdBy` (string, optional) — The ID of the user who created the pull request.
- `description` (string, optional) — The pull request's description.
- `destinationId` (string, optional) — The pull request's merge destination ID.
- `forkType` (string, optional) — The type of forked element.
- `id` (string, optional) — The pull request's ID.
- `sourceId` (string, optional) — The unique ID of the source element.
- `status` (enum, optional) — The pull request's status.
  - Allowed values: `open`, `approved`, `declined`, `merged`
- `title` (string, optional) — The pull request's title.
- `updatedAt` (datetime, optional) — The date and time at which the pull request was updated.

## Errors

### 403 Forbidden Error

Forbidden

- `type` (CommonErrorTypeTitleDetailStatusType, optional) — The type of error.
- `title` (string, optional) — A short summary of the problem.
- `detail` (string, optional) — Information about the error.
- `status` (integer, optional) — The error's HTTP status code.

### 409 Conflict Error

Conflict

- `type` (CommonErrorTypeTitleDetailStatusType, optional) — The type of error.
- `title` (string, optional) — A short summary of the problem.
- `detail` (string, optional) — Information about the error.
- `status` (integer, optional) — The error's HTTP status code.

### 500 Internal Server Error

Internal Server Error

- `UpdatePullRequestRequestInternalServerError`
  - Error (Type, Title, Detail): commonErrorTypeTitleDetail
  - Error (Type, Title, Detail, Status): commonErrorTypeTitleDetailStatus
  - Error (Name, Message): commonErrorNameMessage

## Types

### CommonErrorTypeTitleDetailStatusType

The type of error.

- string
- string

### commonErrorTypeTitleDetail

- `type` (string, optional) — The type of error.
- `title` (string, optional) — A short summary of the problem.
- `detail` (CommonErrorTypeTitleDetailDetail, optional) — Information about the error.

### commonErrorTypeTitleDetailStatus

- `type` (CommonErrorTypeTitleDetailStatusType, optional) — The type of error.
- `title` (string, optional) — A short summary of the problem.
- `detail` (string, optional) — Information about the error.
- `status` (integer, optional) — The error's HTTP status code.

### commonErrorNameMessage

- `error` (CommonErrorNameMessageError, optional) — Information about the error.

### CommonErrorTypeTitleDetailDetail

Information about the error.

- string
- map from string to any

### CommonErrorNameMessageError

Information about the error.

- `name` (string, optional) — The error name.
- `message` (string, optional) — The error message.

## Examples

**Request**

```json
{
  "title": "Updated PR title",
  "reviewers": [
    "12345678",
    "87654321"
  ],
  "description": "Updated description of the pull request."
}
```

**Response**

```json
{
  "createdAt": "2024-02-20T09:58:57.000Z",
  "createdBy": "12345678",
  "description": "Updated description of the pull request.",
  "destinationId": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2",
  "forkType": "collection",
  "id": "4e1a6609-1a29-4037-a411-89ecc14c6cd8",
  "sourceId": "87654321-3b79068c-dbe5-41d5-a826-51be4bf646ef",
  "status": "open",
  "title": "Updated PR title",
  "updatedAt": "2024-02-20T09:58:57.000Z"
}
```

**SDK Code**

```python Pull Requests_updatePullRequest_example
import requests

url = "https://api.postman.com/pull-requests/4e1a6609-1a29-4037-a411-89ecc14c6cd8"

payload = {
    "title": "Updated PR title",
    "reviewers": ["12345678", "87654321"],
    "description": "Updated description of the pull request."
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Pull Requests_updatePullRequest_example
const url = 'https://api.postman.com/pull-requests/4e1a6609-1a29-4037-a411-89ecc14c6cd8';
const options = {
  method: 'PUT',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"title":"Updated PR title","reviewers":["12345678","87654321"],"description":"Updated description of the pull request."}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Pull Requests_updatePullRequest_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/pull-requests/4e1a6609-1a29-4037-a411-89ecc14c6cd8"

	payload := strings.NewReader("{\n  \"title\": \"Updated PR title\",\n  \"reviewers\": [\n    \"12345678\",\n    \"87654321\"\n  ],\n  \"description\": \"Updated description of the pull request.\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Pull Requests_updatePullRequest_example
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/pull-requests/4e1a6609-1a29-4037-a411-89ecc14c6cd8")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"title\": \"Updated PR title\",\n  \"reviewers\": [\n    \"12345678\",\n    \"87654321\"\n  ],\n  \"description\": \"Updated description of the pull request.\"\n}"

response = http.request(request)
puts response.read_body
```

```java Pull Requests_updatePullRequest_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.postman.com/pull-requests/4e1a6609-1a29-4037-a411-89ecc14c6cd8")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"title\": \"Updated PR title\",\n  \"reviewers\": [\n    \"12345678\",\n    \"87654321\"\n  ],\n  \"description\": \"Updated description of the pull request.\"\n}")
  .asString();
```

```php Pull Requests_updatePullRequest_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.postman.com/pull-requests/4e1a6609-1a29-4037-a411-89ecc14c6cd8', [
  'body' => '{
  "title": "Updated PR title",
  "reviewers": [
    "12345678",
    "87654321"
  ],
  "description": "Updated description of the pull request."
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Pull Requests_updatePullRequest_example
using RestSharp;

var client = new RestClient("https://api.postman.com/pull-requests/4e1a6609-1a29-4037-a411-89ecc14c6cd8");
var request = new RestRequest(Method.PUT);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"title\": \"Updated PR title\",\n  \"reviewers\": [\n    \"12345678\",\n    \"87654321\"\n  ],\n  \"description\": \"Updated description of the pull request.\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Pull Requests_updatePullRequest_example
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "title": "Updated PR title",
  "reviewers": ["12345678", "87654321"],
  "description": "Updated description of the pull request."
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postman.com/pull-requests/4e1a6609-1a29-4037-a411-89ecc14c6cd8")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```